WordPress FormCraft Plugin ‘form.php’ SQL注入漏洞

漏洞起因
SQL注入错误
危险等级

影响系统

不受影响系统

危害
远程攻击者可以利用漏洞可操作或获取数据库数据。
CVSSv2:

攻击所需条件
攻击者必须访问Wordpress FormCraft插件。

漏洞信息
WordPress是一种使用PHP语言开发的博客平台,用户可以在支持PHP和MySQL数据库的服务器上架设自己的网志。
Wordpress FormCraft插件’form.php’脚本不正确过滤’id’参数数据,允许远程攻击者利用漏洞提交特制的SQL查询,可操作或获取数据库数据。

测试方法
http://www.example.com/wp-content/plugins/formcraft/form.php?id=[Sql Injection]
安全建议

厂商解决方案
目前没有详细解决方案提供:
http://www.wordpress.org/

漏洞提供者
Ashiyane Digital Security Team